Skip to main content

Update User

PUT
/user/{**user_guid** or **external_user_guid**}?k={**api_key**}&c={**client_guid** or **external_client_guid**}

Update an existing user. The sole recommended use of User Update is to set the user status.

This is a limited-use endpoint in SSO API v2.8. User information can be edited by the User from within MoneyDesktop and should not be altered by the data partner after the User is created.

The zip_code must be a US Zip code in "nnnnn" or "nnnnn-nnnn" format, or a Canadian Postal Code in "ana nan" format.

The value passed as status can be ENABLED or DISABLED.

The value passed as sex can be MALE or FEMALE.

Request Information

  • URL: /user/{**user_guid** or **external_user_guid**}?k={**api_key**}&c={**client_guid** or **external_client_guid**}
  • Request Type: PUT
  • Request Header: Content-Type: application/json
  • Required Parameters: None
  • Optional Parameters: email, first_name, last_name, phone, birthdate, sex, credit_score, zip_code, status

Request sample

Language:text

_10
{
_10
"status":"DISABLED"
_10
}

Response sample

Language:text

_27
{
_27
"guid":"USR-00dfffb5-62f6-9865-91f4-9d90f",
_27
"external_guid":"09-999-QWQW",
_27
"external_user_guid":"09-999-QWQW",
_27
"client_guid":"CLT-0858efd1-2d2e-6a5d-f2b5-c7dad42ef184",
_27
"email":"julie.west@email.com",
_27
"login_token":"cQQ380Ocyc049z6eRg--tz6Opshfxqz0T6rX2xaD2dwei5H...",
_27
"first_name":"Julie",
_27
"last_name":"West",
_27
"phone":"9015559990",
_27
"age":23,
_27
"sex":1,
_27
"credit_score":790,
_27
"zip_code":12345,
_27
"master_widget_url":"https://widgets.moneydesktop.com/raja/master?...",
_27
"accounts_widget_url":"https://widgets.moneydesktop.com/raja/accounts?...",
_27
"budgets_widget_url":"https://widgets.moneydesktop.com/raja/budgets?...",
_27
"debts_widget_url":"https://widgets.moneydesktop.com/raja/debts?...",
_27
"net_worth_widget_url":"https://widgets.moneydesktop.com/raja/net_worth?...",
_27
"spending_widget_url":"https://widgets.moneydesktop.com/raja/spending?...",
_27
"transactions_widget_url":"https://widgets.moneydesktop.com/raja/transactions?...",
_27
"status":{
_27
"status":2,
_27
"name":"User update succeeded",
_27
"message":""
_27
}
_27
}